//
//  CoDetailViewController.h
//  konohana_test
//
//  Created by kunii on 09/12/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "KonohanaDB.h"
#import "UpdateTrigger.h"

@interface CoDetailViewController : UIViewController<UITableViewDelegate, UITableViewDataSource, KonohanaDBDelegate, UpdateTriggerDelegate> {
	UIImageView*	imageView;			//	画像表示用
	UITextView*		commentView;		//	提案コメント表示用
	UITextField*	voteCommentView;	//	支持コメント入力用
	UITableView*	voteTableView;		//	支持コメントテーブル
	UIImage*		image;				//	画像
	KonohanaDB*		db;					//	データベース
	int				contributeID;		//	投稿ID
	int				sugestionID;		//	提案ID
	NSMutableArray*	result;				//	データベース問い合わせ結果
	NSString*		comment;			//	提案コメント
	BOOL			own;				//	利用者が書き込んだ投稿ならYES
	UpdateTrigger*	updateTrigger;
}
@property (nonatomic, retain) UIImage*		image;
@property (nonatomic, retain) KonohanaDB*	db;
@property (nonatomic, retain) NSString*		comment;
@property (nonatomic, assign) int			contributeID;
@property (nonatomic, assign) int			sugestionID;
@property (nonatomic, assign) BOOL			own;

@end
