//
//  UpdateTrigger.h
//  konohana_test
//
//  Created by kunii on 10/03/30.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol UpdateTriggerDelegate;

@interface UpdateTrigger : NSObject {
	UITableView*	tableView;
	BOOL			dragging;
	UILabel*		triggerHeader;			//	トリガ付きヘッダー
	BOOL			headerOn;				//	トリガ付きヘッダーがOn状態ならYES
	UILabel*		triggerFooter;			//	トリガ付きフッター
	BOOL			footerOn;				//	トリガ付きフッターがOn状態ならYES
	id<UpdateTriggerDelegate>	delegte;
}
@property (nonatomic, assign) id<UpdateTriggerDelegate>	delegte;

- (void)adapteTrigger:(UITableView*)inTableView;
- (void)scrollViewWillBeginDragging:(UIScrollView *)scrollView;
- (void)scrollViewDidScroll:(UIScrollView *)scrollView;
- (void)scrollViewDidEndDragging:(UIScrollView *)scrollView willDecelerate:(BOOL)decelerate;
-(void)adjust:(CGFloat)contentsHeight;
@end

@protocol UpdateTriggerDelegate<NSObject>
-(void)update:(BOOL)foword;
@end