//
//  NewFlowerNameViewController.h
//  NewFlower
//
//  Created by kunii on 10/03/12.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol NewFlowerNameViewControllerDelegate<NSObject>
-(void)newFlowerName:(NSString*) inName comment:(NSString*)inComment;
@end

@interface NewFlowerNameViewController : UITableViewController<UITextViewDelegate, UITextFieldDelegate> {
	IBOutlet UIView *		tableHeaderView;
	IBOutlet UIImageView *	imageView;
	IBOutlet UILabel *		imageDescription;
	UIImage *				image;
	NSString *				comment;
	UITextView*				nameDescription;
	UITextField*			nameView;
	id<NewFlowerNameViewControllerDelegate>	newflowerNameDelegate;
	UITableViewCell*		nameCell;
	UITableViewCell*		descriptionCell;
}
@property (nonatomic, retain) UIImage *image;
@property (nonatomic, retain) NSString *comment;
@property (nonatomic, retain) id<NewFlowerNameViewControllerDelegate>	newflowerNameDelegate;

@property (nonatomic, retain) IBOutlet UITextView*			nameDescription;
@property (nonatomic, retain) IBOutlet UITextField*			nameView;
@property (nonatomic, retain) IBOutlet UITableViewCell*		nameCell;
@property (nonatomic, retain) IBOutlet UITableViewCell*		descriptionCell;

@end
