//
//  konohanaParser.h
//  htmlParser
//
//  Created by kunii on 10/07/06.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

enum {
	parse_contribute,	//	投稿解析用クラス
	parse_suggestion,	//	提案解析用クラス
	parse_vote			//	支持解析用クラス
};

@interface konohanaParser : NSObject {
	NSMutableString*		currentParsedCharacterData;		//	<タグ>と</タグ>の間にある文字列を記憶する
	int						mode;							//	mode_Thumb,mode_Name
	NSMutableArray*			modeStack;						//	モードを記憶するスタック
	NSMutableArray*			list;							//	結果
}

@property (nonatomic, readonly) NSMutableArray*			list;

//	typeで指定された解析用クラスを返す
+(konohanaParser*)parserWithType:(int)type;

//	urlで指定されたXMLを解析する。
-(void)parse:(NSString*)url;
//	NSDataで指定されたXMLを解析する。
-(void)parseData:(NSData*)data;
@end
